%define		_status		beta
%define		_pearname	Services_TinyURL
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - PHP interface to TinyURL's API
Summary(pl.UTF-8):	%{_pearname} - interfejs PHP do API serwisu TinyURL
Name:		php-pear-%{_pearname}
Version:	0.1.2
Release:	5
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	40cf7a8225ff55db877df9ac3f9f6cd1
URL:		http://pear.php.net/package/Services_TinyURL/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(curl)
Requires:	php-pear
Obsoletes:	php-pear-Services_TinyURL-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface for creating TinyURL's with their API as well as looking
up destinations of given TinyURL's.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Interfejs ten umożliwia tworzenie malutkich URL-i (TinyURL) z
wykorzystaniem API tego serwisu, jak również wyszukiwania adresów
docelowych już istniejących adresów TinyURL.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/TinyURL
%{php_pear_dir}/Services/TinyURL.php
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> deac078
- use virtual php extension deps (to be independant of php version)
- release 5 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> f8deac0
- release 4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 0571b97
- replaced BR: php-pear-PEAR-core  with BR: php-pear-PEAR

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> ef11649
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> faf84be
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> f362db1
- updated deps with pearize.sh
- release 3

* Sat Apr 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 59774eb
- pl fix, less ambiguity

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 29aa272
- rel 2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> c22dcea
- restore spec contents

* Tue Jan 01 2008 witekfl <witekfl@pld-linux.org> 40f5264
- encoded in UTF-8

* Thu Dec 06 2007 Adam Gołębiowski <adamg@pld-linux.org> c5f0785
- updated to 0.1.2

* Thu Sep 27 2007 Adam Gołębiowski <adamg@pld-linux.org> 60fc751
- new

